import { message } from 'antd';
import { ModalConfirm, ModalInfo } from '@/baseComponent/Modal';

export const A4Height = '29.6cm';
export const A4Width = '20.9cm';
export const imageStyleAll = {
  width: '100%',
  height: '100%',
};

export function getCLodopFuncJS() {
  return new Promise((resolve, reject) =>{
    if(window.LODOP){
      console.log('打印插件加载成功');
      resolve(true);
      return true;
    }
    let sc = document.createElement('script');
    sc.src = `http://localhost:18000/CLodopFuncs.js`;
    document.querySelector('body').appendChild(sc);
    sc.onload = function() {
      resolve(true);
      console.log('打印插件加载成功');
    };
    sc.onerror = function() {
      resolve(false);
      ModalConfirm('请下载并运行打印控件后刷新本页面继续打印！' +
        '点击确定进行控件下载', {
        title: '未获取到打印控件',
        onOk: () => {
          window.open('/CLodop_32_Print.zip');
        },
      });
    };
  });

}
